body {
  background: url('../img/img2.png') no-repeat center center;
  background-size: cover;
  margin: 0;
  padding: 0;
  list-style: none;

  width: 100%;
  height: 100%;
  min-width: 1200px;
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-tap-highlight-color: transparent;
}
body::-webkit-scrollbar {
  width: 5px;
  height: 8px;
}

body::-webkit-scrollbar-thumb {
  background-color: #e5e5e5;
  border-radius: 4px;
}

body::-webkit-scrollbar-track {
  background-color: #f1f1f1;
}
.container {
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  position: relative;
  transform: scale(0.8);
  transform-origin: center center;
}
.background-img {
  width: 587px;
  height: 587px;
  position: absolute;
  top: 215px;
  left: 416px;
}

.header {
  display: flex;
  align-items: center;
  padding: 20px 40px;
  position: absolute;
  top: 0;
  left: 0;
  width: calc(100% - 80px);
  z-index: 10;
}

.logo {
  height: 40px;
  margin-right: 10px;
}

.system-title {
  font-size: 24px;
  font-weight: bold;
  color: #333;
}

.language-selector {
  margin-left: auto;
  margin-right: 20px;
  font-size: 14px;
  color: #333;
  cursor: pointer;
  position: relative;
  padding-bottom: 10px;
  display: flex;
  align-items: center;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 120px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  border-radius: 5px;
  overflow: hidden;
  top: 100%;
  left: 0;
}

.dropdown-content a {
  color: #333;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

.dropdown-content a:hover {
  background-color: #f1f1f1;
}

.language-selector:hover .dropdown-content {
  display: block;
}

.arrow-down {
  display: inline-block;
  width: 0;
  height: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #666;
  margin-left: 5px;
  transition: transform 0.3s ease;
}

.language-selector:hover .arrow-down {
  transform: rotate(180deg);
}

.content {
  display: flex;
  flex-grow: 1;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 5;
}

.illustration {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-right: 50px;
}

.illustration img {
  max-width: 100%;
  height: auto;
  display: block;
}

.login-card {
  background: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
  padding: 62px 40px;
  width: 420px;
  text-align: center;
  margin-right: 381px;
}

.card-header {
  margin-bottom: 35px;
  font-family: Microsoft YaHei;
  font-weight: bold;
  font-size: 24px;
  color: #030101;
}

.form-group {
  margin-bottom: 30px;
  text-align: left;
}

.form-group label {
  margin-bottom: 30px;
  display: block;
  font-family: Microsoft YaHei;
  font-weight: bold;
  font-size: 14px;
  color: #3f3e3e;
}

.form-group label span {
  border-bottom: 2px solid #838282;
  padding-bottom: 5px;
}

.input-wrapper {
  display: flex;
  align-items: center;
  padding: 10px 15px;
  height: 50px;
  background: #f3f4f8;
  border-radius: 6px;
}

.input-wrapper .input-icon {
  height: 20px;
  width: 20px;
  margin-right: 10px;
  opacity: 0.6;
}

.input-wrapper input {
  border: none;
  outline: none;
  flex-grow: 1;
  font-size: 16px;
  padding: 0;
  background-color: transparent;
  height: 100%;
}
.input-wrapper i {
  color: #9ba2a8;
  margin-right: 12px;
}

.input-wrapper input::placeholder {
  color: #aaa;
}

.login-button {
  background-color: #fa8f23;
  color: #fff;
  border: none;
  font-size: 14px;
  font-weight: bold;
  width: 100%;
  cursor: pointer;
  transition: background-color 0.3s ease;
  margin-top: 30px;
  height: 50px;
  background: #fa8f23;
  border-radius: 6px;
}

.login-button:hover {
  background-color: #fa8f23;
}

.login-button:active {
  background-color: #fa8f23;
}
